Lines Matching refs:HOSTTYPE

67 env="HOSTTYPE NPROC PACKAGEROOT INSTALLROOT PATH"
72 package_use='=$HOSTTYPE=$PACKAGEROOT=$INSTALLROOT=$EXECROOT=$CC='
486 by the output of \bpackage\b (no arguments.) The \b$HOSTTYPE\b naming
489 (\b$PACKAGEROOT/arch/$HOSTTYPE\b.) There are a few places that match
490 against \b$HOSTTYPE\b when making binaries; these are limited to
491 makefile compiler workarounds, e.g., if \b$HOSTTYPE\b matches \bhp.*\b
742 ${bB}lib${eB} instead of ${bB}arch/${eB}${bI}HOSTTYPE${eI}${bB}/bin${eB} and ${bB}arch/${eB}${bI}HOSTTYPE${eI}${bB}/lib${eB} by running this
756 preserve the ${bB}arch/${eB}${bI}HOSTTYPE${eI} hierarchy under ${bI}DIRECTORY${eI} then omit the
771 gunzip < lib/package/tgz/INIT.${bI}YYYY-MM-DD.HOSTTYPE${eI}.tgz |
775 ${TAR} ${TARFLAGS}f -${eX} lib/package/tgz/INIT.${bI}YYYY-MM-DD.HOSTTYPE${eI}.tgz
779 cp lib/package/tgz/ratz.${bI}YYYY-MM-DD.HOSTTYPE${eI}.exe bin/ratz
781 bin/ratz -lm < lib/package/tgz/INIT.${bI}YYYY-MM-DD/HOSTTYPE${eI}.tgz
839 output of ${bF}package${eF} (no arguments.) The ${bB}\$HOSTTYPE${eB} naming scheme is used
841 specific binaries are placed under ${bB}\$INSTALLROOT${eB} (${bB}\$PACKAGEROOT/arch/\$HOSTTYPE${eB}.)
842 There are a few places that match against ${bB}\$HOSTTYPE${eB} when making binaries; these
843 are limited to makefile compiler workarounds, e.g., if ${bB}\$HOSTTYPE${eB} matches
901 ${bB}lib${eB} instead of ${bB}arch/${eB}${bI}HOSTTYPE${eI}${bB}/bin${eB} and ${bB}arch/${eB}${bI}HOSTTYPE${eI}${bB}/lib${eB} by running this
907 ${bT}(6)${bD}Build and install; all generated files are placed under ${bB}arch/${eB}${bI}HOSTTYPE${eI}
908 (${bB}\$INSTALLROOT${eB}), where ${bI}HOSTTYPE${eI} is the output of ${bB}bin/package${eB} (with no
928 preserve the ${bB}arch/${eB}${bI}HOSTTYPE${eI} hierarchy under ${bI}DIRECTORY${eI} then omit the
1028 Delete the arch/HOSTTYPE hierarchy; this deletes all generated
1029 files and directories for HOSTTYPE. The heirarchy can be rebuilt
1078 the \"arch/HOSTTYPE\" directory prefixes. Otherwise each
1079 architecture will be installed in a separate \"arch/HOSTTYPE\"
1203 name, a YYYY-MM-DD date, and for binary packages, HOSTTYPE.
1266 # gather HOSTTYPE *,* options
1273 set '' $HOSTTYPE
1306 ?*) HOSTTYPE=$_PACKAGE_HOSTTYPE_
1337 HOSTTYPE=*)
1339 case $HOSTTYPE in
1375 case $HOSTTYPE in
1376 *,*) hostopts $HOSTTYPE ;;
1441 # HOSTTYPE specific setup
1443 case $HOSTTYPE in
1447 32) case $HOSTTYPE in
1448 *-64) HOSTTYPE=${HOSTTYPE%-64} ;;
1455 64) case $HOSTTYPE in
1457 *) HOSTTYPE=$HOSTTYPE-64 ;;
1474 $exec export A=$P/arch/$HOSTTYPE
1486 elif test -d ${PWD%/*}/ast/arch/$HOSTTYPE
1487 then $exec export PACKAGE_ast=${PWD%/*}/ast/arch/$HOSTTYPE
1917 cc) case $KEEP_HOSTTYPE:$HOSTTYPE in
1918 0:?*) if test -d ${PACKAGEROOT:-.}/arch/$HOSTTYPE
1926 1) _hostinfo_="$_hostinfo_ $HOSTTYPE"
2594 */arch/$HOSTTYPE/bin/package)
2738 HOSTTYPE=$_hostinfo_
2740 1) _PACKAGE_HOSTTYPE_=$HOSTTYPE
2744 $show HOSTTYPE=$HOSTTYPE
2745 $show export HOSTTYPE
2746 export HOSTTYPE
2747 INSTALLROOT=$PACKAGEROOT/arch/$HOSTTYPE
2771 HOSTTYPE=$hosttype
2789 *) for i in arch arch/$HOSTTYPE
2868 EXECTYPE=$HOSTTYPE
2874 case $HOSTTYPE in
2888 N32) case $n:$HOSTTYPE in
2902 '') case $HOSTTYPE in
2946 do case $HOSTTYPE in
3036 case $HOSTTYPE in
3042 case $HOSTTYPE in
3045 echo "$command: set HOSTTYPE to something other than the native $EXECTYPE" >&2
3145 */arch/$HOSTTYPE) ;;
3198 # HOSTTYPE specific package profile
3206 case $HOSTTYPE in
3231 ?*) echo "$command: $HOSTTYPE: export '$lose' in CYGWIN or languish in windows" >&2
3531 for i in arch arch/$HOSTTYPE arch/$HOSTTYPE/bin
3565 000) echo "$command: $i: not found: download the INIT package $HOSTTYPE binary to continue" >&2
3568 010) echo "$command: $i: not found: set CC=C-compiler or download the INIT package $HOSTTYPE binary to continue" >&2
3571 100) echo "$command: $i: not found: download the INIT package source or $HOSTTYPE binary to continue" >&2
3575 1) echo "$command: $i: not found: make the local $EXECTYPE binary package before $HOSTTYPE" >&2
3602 then for j in arch arch/$HOSTTYPE arch/$HOSTTYPE/bin
3747 binary) _order_a_=.$HOSTTYPE ;;
4297 cmd="$cmd && { test -f lib/package/admin/$admin_env && . ./lib/package/admin/$admin_env || true ;} && PATH=\${PWD:-\`pwd\`}/bin:\$PATH \${SHELL:-/bin/sh} -c 'package $admin_args PACKAGEROOT=\${PWD:-\`pwd\`} HOSTTYPE=$type VPATH='"
5188 INSTALLROOT=$INSTALLROOT/arch/$HOSTTYPE
5262 -) a=$HOSTTYPE ;;
5463 for i in arch arch/$HOSTTYPE
5518 h="${HOSTTYPE} ${HOSTTYPE}.*"
5519 case $HOSTTYPE in
5520 *.*) t=`echo $HOSTTYPE | sed 's/[.][^.]*//'`
5523 *) t=$HOSTTYPE
5553 then case $HOSTTYPE in
5557 ?*) $exec sed "s/^HOSTTYPE=.*/HOSTTYPE=$HOSTTYPE/" < "$s" > "$b" || exit
5803 case $HOSTTYPE in
6764 '') types=$HOSTTYPE ;;
7272 type=$HOSTTYPE